<?php 
//header("Content-Type: text/html;charset=ISO-8859-1");
include('db___cn.php');
$mysqli=conex_db_mysql();
switch($_POST['opcion'])
{
  case 1:
  $Administrador="SELECT IdAdministrador FROM tb_administrador 
  WHERE Usuario='".$_POST['usuario']."' 
       and Clave='".$_POST['password']."'"; 
  $rs=$mysqli->query($Administrador);
  
  if(mysqli_num_rows($rs)>0)
    {
       session_start();
       $fila_admin=mysqli_fetch_array($rs);
       $_SESSION['IdAdmin']=$fila_admin['IdAdministrador'];
        echo 1;  
     }
     else
     {
       echo 2;
     }    
break;
case 3:
         $IdAdministrador=$_POST['Id1'];
         $celular=$_POST['celular'];
         $email=$_POST['email'];
         $nombres=$_POST['nombres'];
         $apellidos=$_POST['apellidos'];
         
         $actualizar="UPDATE tb_administrador SET Celular='".$celular."',Email='".$email."',Nombres='".$nombres."',Apellidos='".$apellidos."'
                      WHERE IdAdministrador='".$IdAdministrador."'";
         $mysqli->query($actualizar) or die("2");
         echo 1;
break;

case 8:
 
        $IdAdministrador=$_POST['id'];
        $usuario=$_POST['usuario'];
        $clave=$_POST['clave'];
        $cambiar_clave="UPDATE tb_administrador SET Usuario='".$usuario."',Clave='".$clave."'  WHERE IdAdministrador='".$IdAdministrador."'";
        $mysqli->query($cambiar_clave) or die("2");
      echo 1;                     
break;

case 39:
     $fecha_registro=date("Y-m-d");
     $rows="SELECT COUNT(IdBolsaLaboral) As Total FROM tb_bolsa_laboral";
    $rs= $mysqli->query($rows);
    $num_rows=mysqli_fetch_array($rs);
    if($num_rows['Total']>0)
    {
      $CodigoConvocatoria=sprintf("%05d",$num_rows['Total']+1).'-CV'.substr(date("Y"),2,2);
    }
    else
    {
     $CodigoConvocatoria=sprintf("%05d",1).'-CV'.substr(date("Y"),2,2);
    }
    $registrar_convocatoria="INSERT INTO tb_bolsa_laboral(CodigoConvocatoria,Titulo,IdRazonSocial,TipoHorario,IdCarrera,Detalles,IdDepartamento,Vacantes,Sueldo,Horario,FechaPublicacion,FechaLimite,FechaRegistro,EstadoConvocatoria)
                                 VALUES('".$CodigoConvocatoria."','".trim($_POST['titulo'])."','".trim($_POST['entidad'])."','".$_POST['tipo_horario']."','".$_POST['programa_estudio']."','".$_POST['detalles']."','".$_POST['departamento']."','".$_POST['vacantes']."','".$_POST['sueldo']."','".$_POST['horario_trabajo']."','".$_POST['fecha_publicacion']."','".$_POST['fecha_limite']."','".$fecha_registro."','Disponible')";
    $mysqli->query($registrar_convocatoria) or die("2");
    echo 1;
break;
case 40:
     //$fecha_registro=date("Y-m-d");
    $registrar_entidad="INSERT INTO tb_entidades(Ruc,RazonSocial,RepresentanteLegal,DomicilioLegal,Telefono,Email,TipoEntidad)
                                 VALUES('".trim($_POST['ruc'])."','".trim($_POST['razon_social'])."','".$_POST['representante']."','".$_POST['domicilio']."','".$_POST['telefono']."','".$_POST['email']."','".$_POST['tipo_entidad']."')";
    $mysqli->query($registrar_entidad);
    echo 1;
break;
case 41:
    $actualizar_convocatoria="UPDATE tb_bolsa_laboral 
                              SET Titulo='".trim($_POST['titulo'])."',
                              IdRazonSocial='".$_POST['entidad']."',
                              TipoHorario='".$_POST['tipo_horario']."',
                              IdCarrera='".$_POST['programa_estudio']."',
                              Detalles='".$_POST['detalles']."',
                              IdDepartamento='".$_POST['departamento']."',
                              Vacantes='".$_POST['vacantes']."',
                              Sueldo='".$_POST['sueldo']."',
                              Horario='".$_POST['horario_trabajo']."',
                              FechaPublicacion='".$_POST['fecha_publicacion']."',
                              FechaLimite='".$_POST['fecha_limite']."' 
                              WHERE IdBolsaLaboral=".$_POST['id'];                            
    $mysqli->query($actualizar_convocatoria) or die("2");
    echo 1;
break;
case 42:
   
    $evaluar_postulacion="UPDATE  tb_bolsa_laboral_postulaciones 
                              SET CondicionPostulacion='".$_POST['estado']."',
                              DetalleResultado='".trim($_POST['detalle_eval'])."'
                              WHERE IdPostulacion=".$_POST['id'];                            
    $mysqli->query($evaluar_postulacion) or die("2");
    echo 1;
break;
case 43:
    $finalizar_convocatoria="UPDATE  tb_bolsa_laboral 
                              SET EstadoConvocatoria='Finalizado'
                              WHERE IdBolsaLaboral=".$_POST['id'];                            
    $mysqli->query($finalizar_convocatoria) or die("2");
    echo 1;
break;
case 44:
    $habilitar_convocatoria="UPDATE  tb_bolsa_laboral 
                              SET EstadoConvocatoria='Disponible'
                              WHERE IdBolsaLaboral=".$_POST['id'];                            
    $mysqli->query($habilitar_convocatoria) or die("2");
    echo 1;
break;
case 45:
      // $mysqli->set_charset("utf8");
       $fecha_inicial = new DateTime($_POST['fecha_inicio']);
       $fecha_final = new DateTime($_POST['fecha_final']);

       $listar_postulacion_fechas="SELECT tb_estudiantes.IdEstudiante,CarreraProfesional,Titulo, Apellidos,Nombres,EstadoConvocatoria 
               FROM tb_bolsa_laboral_postulaciones,tb_estudiantes,tb_bolsa_laboral,tb_carrera
               WHERE tb_bolsa_laboral_postulaciones.IdEstudiante=tb_estudiantes.IdEstudiante
               and tb_estudiantes.IdCarrera=tb_carrera.IdCarrera
                and tb_bolsa_laboral.IdCarrera=tb_carrera.IdCarrera
               and tb_bolsa_laboral_postulaciones.IdBolsaLaboral=tb_bolsa_laboral.IdBolsaLaboral
               and FechaPostulacion BETWEEN '".$fecha_inicial->format('Y-m-d')."'  and '".$fecha_final->format('Y-m-d')."'";
              
      $rs_listar_postulacion_fecha=$mysqli->query($listar_postulacion_fechas);
      echo '<table id="simpletable" class="table table-striped table-bordered">
                       <thead>
                           <tr role="row">
                             <th>N&#176;</th>
                             <th>Programa de estudios</th>
                             <th>T&#237;tulo Convocatoria</th>
                             <th>Apellidos y Nombres</th>
                             <th>Condici&#243;n Convocatoria</th>
                          </tr>
                        </thead>
                       <tbody>';
                       $contador=1;
                       while($fila_lista_postulacion=mysqli_fetch_array($rs_listar_postulacion_fecha))
                            {   echo'<tr role="row" class="odd">';
                                   echo'<td>'.$contador.'</td>';
                                   echo'<td>'.$fila_lista_postulacion['CarreraProfesional'].'</td>';
                                   echo'<td>'.$fila_lista_postulacion['Titulo'].'</td>';
                                   echo'<td>'.$fila_lista_postulacion['Apellidos'].', '.$fila_lista_postulacion['Nombres'].'</td>';
                                   echo'<td>'.$fila_lista_postulacion['EstadoConvocatoria'].'</td>';
                                  echo'</tr>'; 
                                  $contador++;   
                              }
        echo '</tbody>
              </table>';

break;
case 46:
       $listar_convocatorias_programa="SELECT * FROM tb_bolsa_laboral WHERE IdCarrera=".$_POST['programa'];
       $rs_convocatorias_programa=$mysqli->query($listar_convocatorias_programa);
      echo '<table id="simpletable" class="table table-striped table-bordered">
                       <thead>
                           <tr role="row">
                             <th>N&#176;</th>
                             <th>Titulo</th>
                             <th>Postulaciones</th>
                          </tr>
                        </thead>
                       <tbody>';
                       $contador=1;
                       while($fila_convocatoria_programa=mysqli_fetch_array($rs_convocatorias_programa))
                            {   
                              $total_postulaciones_programa="SELECT IdPostulacion FROM tb_bolsa_laboral_postulaciones
                               WHERE IdBolsaLaboral=".$fila_convocatoria_programa['IdBolsaLaboral'];
                              $rs_total_postulaciones=$mysqli->query($total_postulaciones_programa);
                              $NumPostulaciones=mysqli_num_rows($rs_total_postulaciones);
                              echo'<tr>';
                                   echo'<td>'.$contador.'</td>';
                                   echo'<td>'.$fila_convocatoria_programa['Titulo'].'</td>';
                                   echo'<td>'.$NumPostulaciones.'</td>';
                                  //echo'<td>'.$fila_lista_programa['EstadoConvocatoria'].'</td>';
                                  echo'</tr>'; 
                                  $contador++;   
                              }
              echo '</tbody>
                    </table>';

break;
case 47:
    $actualizar_entidad="UPDATE tb_entidades 
                              SET RazonSocial='".trim($_POST['razon_social'])."',
                              Ruc='".trim($_POST['ruc'])."',
                              RepresentanteLegal='".trim($_POST['representante'])."',
                              DomicilioLegal='".trim($_POST['domicilio'])."',
                              Telefono='".trim($_POST['telefono'])."',
                              Email='".trim($_POST['email'])."',
                              TipoEntidad='".$_POST['tipo_entidad']."'
                              WHERE IdRazonSocial=".$_POST['id'];                            
    $mysqli->query($actualizar_entidad) or die("2");
    echo 1;
break;
case 48:
    $eliminar_entidad="DELETE FROM tb_entidades WHERE IdRazonSocial=".$_POST['id'];                            
    $mysqli->query($eliminar_entidad) or die("2");
    echo 1;
break;
case 49:
    $actualizar_perfil_egresado="UPDATE tb_estudiantes 
                              SET NumCelular='".trim($_POST['celular'])."',
                              Email='".trim($_POST['email'])."',
                              Dni='".trim($_POST['dni'])."',
                              Apellidos='".trim($_POST['apellidos'])."',
                              Nombres='".trim($_POST['nombre'])."',
                              Domicilio='".trim($_POST['domicilio'])."' 
                               WHERE IdEstudiante=".$_POST['id'];                            
    $mysqli->query($actualizar_perfil_egresado) or die("2");
    echo 1;
break;
case 50:
    $registrar_egresado="INSERT INTO tb_estudiantes(Dni,Apellidos,Nombres,NumCelular,IdCarrera,AnioIngreso,Usuario,Clave,UrlCv,UrlFoto)
                                 VALUES('".trim($_POST['dni'])."','".trim($_POST['apellidos'])."','".$_POST['nombre']."','".$_POST['celular']."','".$_POST['programa_estudio']."','".$_POST['anio_ingreso']."','".trim($_POST['dni'])."','".trim($_POST['dni'])."','scv.pdf','default.jpg')";
    $mysqli->query($registrar_egresado);
    echo 1;
break;
case 51:
    $registrar_programa="INSERT INTO tb_carrera(CarreraProfesional)
                                 VALUES('".trim($_POST['programa'])."')";
    $mysqli->query($registrar_programa);
    echo 1;
break;
case 52:
    $actualizar_programa_estudio="UPDATE tb_carrera 
                              SET CarreraProfesional='".trim($_POST['programa'])."'
                                 WHERE IdCarrera=".$_POST['id'];                            
    $mysqli->query($actualizar_programa_estudio) or die("2");
    echo 1;
break;
case 53:
    $eliminar_programa="DELETE FROM tb_carrera WHERE IdCarrera=".$_POST['id'];                            
    $mysqli->query($eliminar_programa) or die("2");
    echo 1;
break;
case 54:
    $registrar_docente="INSERT INTO tb_docentes(Dni,Apellidos,Nombres,Celular,Email,Usuario,Clave,UrlFoto)
                                 VALUES('".trim($_POST['dni'])."','".trim($_POST['apellidos'])."','".$_POST['nombre']."','".$_POST['celular']."','".$_POST['email']."','".$_POST['dni']."','".trim($_POST['dni'])."','default.jpg')";
    $mysqli->query($registrar_docente) or die("2");
    echo 1;
break;

}
mysqli_close($mysqli);
?>
